public class BasicOrder
{
    private String[] products = new String[] {"product 1", "product 2", "product 3"};
    private int pos = 0;
    
    public String getProduct(int index) {
        if (index < 0 || index >= products.length) {
            return null;
        }
        
        return products[index];
    }
    
    public boolean hasNext() {
        return (pos < products.length);
    }
    
    public String next() {
        return products[pos++];
    }
    
    public void goToStart() {
        pos = 0;
    }
}
